Skip to main content

Refund Voids


This section describes how to void a follow-on refund that was submitted but not yet processed by the processor.

Supported Processors

  • China Union Pay
  • Fiserv RapidConnect
  • Supported only for China Union Pay and Fiserv RapidConnect processors

Endpoints

To void a refund:

POST /pts/v2/refunds/{id}/voids

POST /pts/v2/refunds/{id}/voids

POST /pts/v2/refunds/{id}/voids

The {id} is the transaction ID of the refund to void.

China UnionPay Example

{    "clientReferenceInformation": {        "code": "123456789012"    }}
{    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/7483358547607103605102"        }    },    "clientReferenceInformation": {        "code": "1775798852048"    },    "id": "7483358547607103605102",    "orderInformation": {        "amountDetails": {            "currency": "CNY"        }    },    "processorInformation": {        "settlementDate": "0501",        "responseCode": "00"    },    "reconciliationId": "610005248082",    "status": "VOIDED",    "submitTimeUtc": "2026-04-10T05:27:32Z",    "voidAmountDetails": {        "currency": "cny",        "voidAmount": "100.00"    }}

Fiserve RapidConnect Example

{    "clientReferenceInformation": {        "code": "123456789012",        "reconciliationId": "000000050000772"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "100",            "currency": "USD"        }    }}
{    "submitTimeUtc": "2025-03-11T16:57:19Z",    "processorInformation": {        "approvalCode": "OK1272",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500039"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789012"    },    "reconciliationId": "000000050000772",    "id": "7417122396283232235535",    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/7417122396283232235535"        }    },    "status": "VOIDED"}

China UnionPay Required Fields

FieldDescription
clientReferenceInformation.code—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—

Fiserv RapidConnect Fields

FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.reconciliationId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—

Last published: September 29, 2026